select distinct VERSION.RES_ID
from REQUIREMENT_VERSION VERSION
join REQUIREMENT_LIBRARY_NODE RLN on VERSION.REQUIREMENT_ID = RLN.RLN_ID
inner join MILESTONE_REQ_VERSION MILESTONES on VERSION.RES_ID = MILESTONES.REQ_VERSION_ID
where MILESTONES.MILESTONE_ID in (:milestones)
and RLN.PROJECT_ID in (:projectIds)
